﻿CREATE TABLE libname/PRODUCTEXT ( 
	PRODCD CHAR(7) CCSID 37 NOT NULL DEFAULT '' , 
	PRODDS CHAR(30) CCSID 37 NOT NULL DEFAULT '' , 
	CATCOD CHAR(2) CCSID 37 NOT NULL DEFAULT '' , 
	STOH DECIMAL(7, 0) NOT NULL DEFAULT 0 , 
	LNDCST DECIMAL(9, 2) NOT NULL DEFAULT 0 , 
	SELLPR DECIMAL(9, 2) NOT NULL DEFAULT 0 , 
	DTLCHG DECIMAL(6, 0) NOT NULL DEFAULT 0 , 
	DTLORD DECIMAL(6, 0) NOT NULL DEFAULT 0 , 
	MAXDISC NUMERIC(5, 3) NOT NULL )   
	  
	RCDFMT PRODUCTR   ; 
  
LABEL ON COLUMN libname/PRODUCTEXT 
( PRODCD IS 'Product Code' , 
	PRODDS IS 'Product Description' , 
	CATCOD IS 'Category Code' , 
	STOH IS 'Stock on Hand' , 
	LNDCST IS 'Landed Cost' , 
	SELLPR IS 'Selling/Unit Price' , 
	DTLCHG IS 'Date LastChanged' , 
	DTLORD IS 'Date Last Ordered' ,
	MAXDISC IS 'Maximum Discount' ) ; 
  
LABEL ON COLUMN libname/PRODUCTEXT 
( PRODCD TEXT IS 'Product Code' , 
	PRODDS TEXT IS 'Product Description' , 
	CATCOD TEXT IS 'Category Code' , 
	STOH TEXT IS 'Stock on Hand' , 
	LNDCST TEXT IS 'Landed Cost' , 
	SELLPR TEXT IS 'Selling/Unit Price' , 
	DTLCHG TEXT IS 'Date LastChanged' , 
	DTLORD TEXT IS 'Date Last Ordered' ,
	MAXDISC IS 'Maximum Discount' ) ; 
  
  
